Subject: Re: FVWM: window flags bitfield

From: Tim Phipps <[email-masked]>
Date: Thu, 11 Dec 1997 10:04:39 GMT

>         Whatever is decided for the style flags, the same treatment should
> probably be accorded the state-related flags - whether it's a bit-field 
> struct or some other solution. And whatever is done will affect every bit 
> of code, style-related or not, that ever looks at SomeOldWin->flags. Lotta
> grunt work to be done there. 'Tain't glamorous, but I'll happily volunteer
> to do some of it, whenever the design's finalized.

I agree.  If you want to start on something there is something that CDE has that 
I miss in FVWM.  It's the ability to set a desk occupation list on a window.  
With FVWM a window can be in one desk or all(sticky).  I'd like to be able to 
have a window belong to desks 1,2 and not 3,4 and have sticky mean stick to the 
glass in the desks that the window belongs to.  Obviously this would mean making 
the window state flags dynamically sizeable or fixing the maximum number of 
desks so it might be tough.  I'll volunteer to test it.

Cheers,
Tim
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].